
#define NIL_POINTER		0L

ToolBoxInit()
{
	InitGraf(&thePort);
	InitFonts();
	FlushEvents(everyEvent, 0);
	InitWindows();
	InitMenus();
	TEInit();
	InitDialogs(0L);
	InitCursor();
	MenuBarInit();
}

InitColors()
{
	extern RGBColor	myGreen, myRed, myBlue, myYellow, myWhite, myBlack, myGray, myOrange, myDkBlue;
	
	myGreen.red = 0;
	myGreen.green = -1;
	myGreen.blue = 0;
	myYellow.red = -1;
	myYellow.green = -1;
	myYellow.blue = 0;
	myRed.red = -1;
	myRed.green = 0;
	myRed.blue = 0;
	myBlue.red = 25000;
	myBlue.green = 55000;
	myBlue.blue = -1;
	myDkBlue.red = 0;
	myDkBlue.green = 0;
	myDkBlue.blue = -1;
	myWhite.red = -1;
	myWhite.green = -1;
	myWhite.blue = -1;
	myBlack.red = 0;
	myBlack.green = 0;
	myBlack.blue = 0;
	myGray.red = 20000;
	myGray.green = 20000;
	myGray.blue = 20000;
	myOrange.red = 40000;
	myOrange.green = 25000;
	myOrange.blue = 8000;
}

MenuBarInit()
{
	Handle	myMenuBar;
	extern MenuHandle	gAppleMenu, gFileMenu, gEditMenu;
	
	myMenuBar = GetNewMBar(500);
	SetMenuBar(myMenuBar);
	gFileMenu = GetMHandle(501);
	gEditMenu = GetMHandle(502);
	gAppleMenu = GetMHandle(500);
	if (gAppleMenu)
		AddResMenu(gAppleMenu, 'DRVR');
	
} /* MenuBarInit() */

LoadSounds()
{
	extern Handle			gSolvedSndH;

	LoadSound(&gSolvedSndH, 128, "\p'snd ' Solved (128)");

} /* LoadSounds() */

UnloadSounds()
{
	extern Handle			gSolvedSndH;

	UnloadSound(gSolvedSndH);

} /* UnloadSounds() */

WindowInit()
{
	Rect 		myRect;
	short		depth;
	GrafPtr		savePort;
	extern		CWindowPtr	gPictureWindow;

	GetPort(&savePort);
	gPictureWindow = (CWindowPtr)GetNewCWindow(500, NIL_POINTER, (WindowPtr) -1L);
	SetPort((GrafPtr) gPictureWindow);
	
	RGBForeColor(&myBlack);
	RGBBackColor(&myWhite);
	
	SetPort(savePort);
		
} /* WindowInit() */
